## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDummyIndentWriter Class Template Reference

`#include <XalanDummyIndentWriter.hpp>`

List of all members.

## Public Types

- typedef WriteHandeler::size_type size_type
- typedef WriteHandeler::value_type value_type

## Public Methods

- XalanDummyIndentWriter (WriteHandeler &, size_type)
- ~XalanDummyIndentWriter ()
- void setIndent (size_type)
- size_type getIndent () const
- void indent ()
- void increaseIndent ()
- void decreaseIndent ()
- void setStartNewLine (bool)
- void outputLineSep ()
    Output a line break. More...
- void setPrevText (bool)
- void setPreserve (bool)
- void pop_preserve ()
- void push_preserve ()

### template<class WriteHandeler> class XalanDummyIndentWriter

## Member Typedef Documentation

template<class WriteHandeler>
typedef WriteHandeler::size_type XalanDummyIndentWriter<WriteHandeler>::size_type

template<class WriteHandeler>
typedef WriteHandeler::value_type XalanDummyIndentWriter<WriteHandeler>::value_type

## Constructor & Destructor Documentation

template<class WriteHandeler>
XalanDummyIndentWriter<WriteHandeler>::XalanDummyIndentWriter<WriteHandeler> ( | WriteHandeler &,
| size_type )

template<class WriteHandeler>
XalanDummyIndentWriter<WriteHandeler>::~XalanDummyIndentWriter<WriteHandeler> ( | )

## Member Function Documentation

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::decreaseIndent ( | )

template<class WriteHandeler>
size_type XalanDummyIndentWriter<WriteHandeler>::getIndent ( | ) const

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::increaseIndent ( | )

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::indent ( | )

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::outputLineSep ( | )

| Output a line break.

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::pop_preserve ( | )

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::push_preserve ( | )

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::setIndent ( | size_type )

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::setPreserve ( | bool )

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::setPrevText ( | bool )

template<class WriteHandeler>
void XalanDummyIndentWriter<WriteHandeler>::setStartNewLine ( | bool )

The documentation for this class was generated from the following file:

- XalanDummyIndentWriter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.